Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGLoadEventDispatcher

    java.lang.Object
      java.lang.Thread
          org.apache.batik.swing.svg.SVGLoadEventDispatcher

All Implemented Interfaces:
  java.lang.Runnable

public class SVGLoadEventDispatcher
extends java.lang.Thread

This class dispatches the SVGLoadEvent event on a SVG document.

Field Summary
`protected boolean` | `beenInterrupted` Boolean indicating if this thread has ever been interrupted.
`protected BridgeContext` | `bridgeContext` The bridge context to use.
`protected java.lang.Exception` | `exception` The exception thrown.
`protected java.util.List` | `listeners` The listeners.
`protected GraphicsNode` | `root` The root graphics node.
`protected SVGDocument` | `svgDocument` The SVG document to give to the bridge.
`protected UpdateManager` | `updateManager` The update manager.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SVGLoadEventDispatcher(GraphicsNode gn, SVGDocument doc, BridgeContext bc, UpdateManager um)` Creates a new SVGLoadEventDispatcher.

Method Summary
`void` | `addSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)` Adds a SVGLoadEventDispatcherListener to this SVGLoadEventDispatcher.
`void` | `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`boolean` | `getBeenInterrupted()`
`java.lang.Exception` | `getException()` Returns the exception, if any occured.
`UpdateManager` | `getUpdateManager()` Returns the update manager.
`void` | `interrupt()`
`void` | `removeSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)` Removes a SVGLoadEventDispatcherListener from this SVGLoadEventDispatcher.
`void` | `run()` Runs the dispatcher.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### svgDocument

    protected SVGDocument svgDocument

  The SVG document to give to the bridge.

### root

    protected GraphicsNode root

  The root graphics node.

### bridgeContext

    protected BridgeContext bridgeContext

  The bridge context to use.

### updateManager

    protected UpdateManager updateManager

  The update manager.

### listeners

    protected java.util.List listeners

  The listeners.

### exception

    protected java.lang.Exception exception

  The exception thrown.

### beenInterrupted

    protected boolean beenInterrupted

  Boolean indicating if this thread has ever been interrupted.

Constructor Detail

### SVGLoadEventDispatcher

    public SVGLoadEventDispatcher(GraphicsNode gn,
                                  SVGDocument doc,
                                  BridgeContext bc,
                                  UpdateManager um)

  Creates a new SVGLoadEventDispatcher.

Method Detail

### getBeenInterrupted

    public boolean getBeenInterrupted()

### run

    public void run()

  Runs the dispatcher.

### interrupt

    public void interrupt()

### getUpdateManager

    public UpdateManager getUpdateManager()

  Returns the update manager.

### getException

    public java.lang.Exception getException()

  Returns the exception, if any occured.

### addSVGLoadEventDispatcherListener

    public void addSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)

  Adds a SVGLoadEventDispatcherListener to this SVGLoadEventDispatcher.

### removeSVGLoadEventDispatcherListener

    public void removeSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)

  Removes a SVGLoadEventDispatcherListener from this SVGLoadEventDispatcher.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.